\ProvidesClass{mathscan}[2002/11/27 v1.0]

\LoadClassWithOptions{amsart}[2000/10/26 v2.08]

\NeedsTeXFormat{LaTeX2e}% LaTeX 2.09 can't be used (nor non-LaTeX)
[1994/12/01]% LaTeX date must December 1994 or later

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%% certain lines in amsart.cls 2000/10/26 v2.08 are modified
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%% EMAIL
%%%%% lines 487-511  in amsart.cls

\def\@setaddresses{\par
  \nobreak \begingroup
\footnotesize
  \def\author##1{\nobreak\addvspace\bigskipamount}%
  \def\\{\unskip, \ignorespaces}%
  \interlinepenalty\@M
  \def\address##1##2{\begingroup
    \par\addvspace\bigskipamount\indent
    \@ifnotempty{##1}{(\ignorespaces##1\unskip) }%
    {\scshape\ignorespaces##2}\par\endgroup}%
  \def\curraddr##1##2{\begingroup
    \@ifnotempty{##2}{\nobreak\indent{\itshape Current address}%
      \@ifnotempty{##1}{, \ignorespaces##1\unskip}\/:\space
      ##2\par}\endgroup}%
  \def\email##1##2{\begingroup
    \@ifnotempty{##2}{\nobreak\noindent{\itshape E-mail}%   %%%%%
      \@ifnotempty{##1}{, \ignorespaces##1\unskip}\/:\space
      \rmfamily##2\par}\endgroup}%                          %%%%%
  \def\urladdr##1##2{\begingroup
    \@ifnotempty{##2}{\nobreak\noindent{\itshape URL}%      %%%%%
      \@ifnotempty{##1}{, \ignorespaces##1\unskip}\/:\space
      \rmfamily##2\par}\endgroup}%                          %%%%%
  \addresses
  \endgroup
}


%%%%% ABSTRACT
%%%%% lines 742-759  in amsart.cls

\renewenvironment{abstract}{%
  \ifx\maketitle\relax
    \ClassWarning{\@classname}{Abstract should precede
      \protect\maketitle\space in AMS documentclasses; reported}%
  \fi
  \global\setbox\abstractbox=\vtop \bgroup
    \normalfont\Small
    \list{}{\labelwidth\z@
      \leftmargin0pc \rightmargin\leftmargin   %%%%%3pc -> 0pc
      \listparindent\normalparindent \itemindent\z@
      \parsep\z@ \@plus\p@
      \let\fullwidthdisplay\relax
    }%
    \item[\hskip\labelsep\bfseries\small\abstractname]\mbox{}\\% 
                                              %%%%%sc->bf
                                                    %%%%% . -> mbox\\
}
{%
  \endlist\egroup
  \ifx\@setabstract\relax \@setabstracta \fi
}


%%%%% STARTSECTION
%%%%% lines 937-946 in amsart.cls

\def\@startsection#1#2#3#4#5#6{%
 \if@noskipsec \leavevmode \fi
 \par \@tempskipa #4\relax
 \@afterindentfalse                 %%%%% true -> false
 \ifdim \@tempskipa <\z@ \@tempskipa -\@tempskipa \@afterindentfalse\fi
 \if@nobreak \everypar{}\else
     \addpenalty\@secpenalty\addvspace\@tempskipa\fi
 \@ifstar{\@dblarg{\@sect{#1}{\@m}{#3}{#4}{#5}{#6}}}%
         {\@dblarg{\@sect{#1}{#2}{#3}{#4}{#5}{#6}}}%
}




%%%%% SECTIONS ETC
%%%%% line 953 in amsart.cls

\def\@secnumfont{\bfseries}             %%%%%md -> bf


%%%%% sections
%%%%% lines 1013-1015 in amsart.cls

\def\section{\@startsection{section}{1}%
  \z@{.7\linespacing\@plus\linespacing}{.5\linespacing}%
  {\normalfont\small\bfseries}}   %%%%%small&bf ind; centering vaek

%%%%% below: line inserted to act on subsec and subsubsec, 
%%%%% modifies line 953 in amsart.cls

\renewcommand{\@secnumfont}{\rmfamily}   %%%%%skifter til roman  e f t e r    section

%%%%% subsections and subsubsections
%%%%% lines 1016-1021 in amsart.cls
\def\subsection{\@startsection{subsection}{2}%
  \z@{.5\linespacing\@plus.7\linespacing}{+.001ex\@afterindentfalse}%%%%%false!
  {\noindent\normalfont\itshape}}  %%%%%noindent&itshape tilf. aendring ovenfor
\def\subsubsection{\@startsection{subsubsection}{3}%
  \z@{.5\linespacing\@plus.7\linespacing}{-.5em}%
  {\normalfont\itshape}}

%%%%%BIBLIOGRAPHY
%%%%%lines 1162-1174 in amsart.cls

\renewenvironment{thebibliography}[1]{%
  \@xp\section\@xp*\@xp{\hskip0.425\textwidth\sc\refname}%    %%%%%
  \normalfont\footnotesize\labelsep .5em\relax
  \renewcommand\theenumiv{\arabic{enumiv}}\let\p@enumiv\@empty
  \list{\@biblabel{\theenumiv}}{\settowidth\labelwidth{\@biblabel{#1}}%
    \leftmargin\labelwidth \advance\leftmargin\labelsep
    \usecounter{enumiv}}%
  \sloppy \clubpenalty\@M \widowpenalty\clubpenalty
  \sfcode`\.=\@m
}{%
  \def\@noitemerr{\@latex@warning{Empty `thebibliography' environment}}%
  \endlist
}



%%%%% BIBLABEL
%%%%% lines cf. line 1310 in amsart.cls
\def\@biblabel#1{#1.}   %%%%% [#1] -> #1.

%%%%% 
%%%%% THEOREMSTYLE
%%%%% lines 1485-1494 in amsart.cls
%%%%% plain
\def\th@plain{%
    \let\thm@indent\indent % no indent  %%%%%indent   
    \thm@headfont{\scshape}% heading font is bold   scshape
%%  \thm@notefont{}% same as heading font
%%  \thm@headpunct{.}% add period after heading
%%  \let\thm@swap\@gobble
%%  \thm@preskip\topsep
%%  \thm@postskip\theorempreskipamount
  \itshape % body font
}

%%%%% definition
%%%%% lines 1495-1497 in amsart.cls
\def\th@definition{%
    \let\thm@indent\indent % no indent  %%%%%indent  
    \normalfont % body font
    \thm@headfont{\scshape}%%%%% heading font is scshape
}

%%%%% remark is not accepted, hence not redefined


%%%%% END-OF-PROOF

%%%%% line 1694 in amsart.cls
\renewcommand{\qedsymbol}{\relax}       %%%%% self-expl.

%%%%% PROOF ENVIRONMENT
%%%%% lines 1695-1704 in amsart.cls
\renewenvironment{proof}[1][\proofname]{\par
  \pushQED{\qed}%
  \normalfont \topsep6\p@\@plus6\p@\relax
  \trivlist
  \item[\hskip\labelsep
        \indent\scshape           %%%%% it -> sc, indent tilf.
    #1\@addpunct{.}]\ignorespaces
}{%
  \popQED\endtrivlist\@endpefalse
}

%%%%% END OF FILE  mathscan.cls













